package cz.mendelu.dnaAnalyser.analyse.p53predictor

import cz.mendelu.dnaAnalyser.sequence.stream.BufferedWindow
import spock.lang.Specification
import spock.lang.Unroll

class P53PredictorAnalyseTest extends Specification {

    private P53PredictorAnalyse p53PredictorAnalyse

    def setup() {
        p53PredictorAnalyse = new P53PredictorAnalyse()
    }

    @Unroll
    def "Calculate p53Predictor binding for #seq"() {
        given: "Wrap String with Window"
        def window = BufferedWindow.wrap(seq)

        when: "Calculate predictor results."
        def result = p53PredictorAnalyse.calcP53PredictorScore(window)

        then: "Compare with result do 2 places after point."
        result.difference.round(2) == difference
        result.predictor.round(2) == predictor
        result.affinity.round(2) == affinity

        where:
        seq                    | difference | predictor | affinity
        "GGACATGCCCGGGCATGTCC" | -7.61      | 0.00      | 1.00
        "GGGCTAACGTTCCATGGCCA" | -4.17      | 3.44      | 0.00
        "GGACATGCCCGGTTTTTTTT" | -5.98      | 1.63      | 0.18
        "CCTGTACGGGCCCGTACAGG" | -1.89      | 5.72      | 0.00
    }
}
