package cz.mendelu.dnaAnalyser.overlay

import cz.mendelu.dnaAnalyser.overlay.OverlayController;
import cz.mendelu.dnaAnalyser.utils.api.ApiRestTemplate
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.boot.test.context.SpringBootTest
import org.springframework.http.HttpStatus
import org.springframework.test.context.ActiveProfiles
import spock.lang.Ignore
import spock.lang.Specification

import static org.springframework.boot.test.context.SpringBootTest.WebEnvironment.RANDOM_PORT

@Ignore
@SpringBootTest(webEnvironment = RANDOM_PORT)
@ActiveProfiles("test")
class OverlayControllerTest extends Specification {

    @Autowired
    ApiRestTemplate api

    def setup() {
        api.authentication('user@mendelu.cz', 'user')
    }

    def "POST:/api/overlay Get overlay Export."() {
        given:
        List<OverlayController.SourceItem> sources;

        def request = new OverlayController().OverlayCreateRequest(100, sources)

        when:
        def response = api.post("/api/overlay", request)

        then:
        response.status == HttpStatus.OK.value()
    }

}
