package cz.mendelu.dnaAnalyser.sequence

import spock.lang.Issue
import spock.lang.Specification

class SequenceController_ImportNCBIRequestTest extends Specification {


    @Issue("http://git.pef.mendelu.cz/bioinformatics/dna-analyser/issues/199")
    def "Tries to input sequence with dirty NCBI ID."() {
        given:
        def request = new SequenceController.ImportNCBIRequest(
                tags: ['jedna', 'dva'],
                ncbis: [
                        new SequenceController.ImportNCBIRequest.NCBI(name: 'zivocich', ncbiId: '\20 \24 J01859.1  \20'),
                ]
        )
        when:
        def response = request.getNcbis().get(0).getNcbiId()

        then:
        response == "J01859.1"
    }
}
